Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593074 - Grinder can change the directory structure of a yum repository, invalidating the rpm location
Summary: Grinder can change the directory structure of a yum repository, invalidating ...
Keywords:
Status: VERIFIED
Alias: None
Product: Grinder
Classification: Retired
Component: core
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Mike McCune
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 18:45 UTC by wes hayutin
Modified: 2014-03-31 01:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description wes hayutin 2010-05-17 18:45:21 UTC
Description of problem:

Grinder can change the directory structure of a yum repository, invalidating the repo.xml


[root@statler yum.repos.d]# yum install koan --disablerepo=* --enablerepo=test
Loaded plugins: presto, refresh-packagekit, rhsmplugin
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package koan.noarch 0:2.0.0-1.fc12 set to be updated
--> Processing Dependency: mkinitrd for package: koan-2.0.0-1.fc12.noarch
--> Running transaction check
---> Package mkinitrd.x86_64 0:6.0.93-1.fc12 set to be updated
--> Processing Dependency: isomd5sum for package: mkinitrd-6.0.93-1.fc12.x86_64
--> Running transaction check
---> Package isomd5sum.x86_64 1:1.0.5-3.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================
 Package                Arch                Version                        Repository         Size
===================================================================================================
Installing:
 koan                   noarch              2.0.0-1.fc12                   test              120 k
Installing for dependencies:
 isomd5sum              x86_64              1:1.0.5-3.fc12                 test               22 k
 mkinitrd               x86_64              6.0.93-1.fc12                  test               89 k

Transaction Summary
===================================================================================================
Install       3 Package(s)
Upgrade       0 Package(s)

Total download size: 231 k
Installed size: 641 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 231 k
http://prad.rdu.redhat.com/pub/test-f12/Packages/isomd5sum-1.0.5-3.fc12.x86_64.rpm: [Errno 14] HTTP Error 404 : http://prad.rdu.redhat.com/pub/test-f12/Packages/isomd5sum-1.0.5-3.fc12.x86_64.rpm 
Trying other mirror.
http://prad.rdu.redhat.com/pub/test-f12/Packages/koan-2.0.0-1.fc12.noarch.rpm: [Errno 14] HTTP Error 404 : http://prad.rdu.redhat.com/pub/test-f12/Packages/koan-2.0.0-1.fc12.noarch.rpm 
Trying other mirror.
http://prad.rdu.redhat.com/pub/test-f12/Packages/mkinitrd-6.0.93-1.fc12.x86_64.rpm: [Errno 14] HTTP Error 404 : http://prad.rdu.redhat.com/pub/test-f12/Packages/mkinitrd-6.0.93-1.fc12.x86_64.rpm 
Trying other mirror.


Error Downloading Packages:
  koan-2.0.0-1.fc12.noarch: failure: Packages/koan-2.0.0-1.fc12.noarch.rpm from test: [Errno 256] No more mirrors to try.
  1:isomd5sum-1.0.5-3.fc12.x86_64: failure: Packages/isomd5sum-1.0.5-3.fc12.x86_64.rpm from test: [Errno 256] No more mirrors to try.
  mkinitrd-6.0.93-1.fc12.x86_64: failure: Packages/mkinitrd-6.0.93-1.fc12.x86_64.rpm from test: [Errno 256] No more mirrors to try.


------------------------------------------------------------------
create repo from 
http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/12/Everything/i386/os/

./GrinderCLI.py yum --dir /mnt/packages/grinder/ --label=f12 --url=http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/12/Everything/i386/os/ 20

[root@rlx-3-18 grinder]# pwd
/mnt/packages/grinder
[root@rlx-3-18 grinder]# ls
f12  rhel
[root@rlx-3-18 grinder]#

Comment 2 Preethi Thomas 2010-05-21 20:23:32 UTC
verified

[root@preethi fedora-12]# /home/preethi/pulp/grinder/src/grinder/GrinderCLI.py yum --label /mnt/packages/grinder/fedora-12  --url=http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/12/Everything/i386/os/ 20

[root@preethi fedora-12]# pwd
/mnt/packages/grinder/fedora-12


[root@preethi fedora-12]# ls -l
total 90624
-rw-r--r--. 1 root root 43433984 2010-05-21 15:37 01a9150327554e6d65132266f7b065a5d107b4efb7afa78012fa3ffcc6f517e9-primary.sqlite
-rw-r--r--. 1 root root   399827 2009-11-11 05:36 049e1caf96d85939d47c2530c21ae9d4535fd6019bfe8a0429319c293f493629-comps-rawhide.xml.gz
-rw-r--r--. 1 root root  1743202 2009-11-11 05:36 0ce6ef4807c0c4042b44cd8e2c612c8b6dddc26d80fabcb485ca7a85cedb9116-comps-rawhide.xml
-rw-r--r--. 1 root root     1327 2009-11-11 05:25 521b16256b03f708faa16735faeb724df48eb2562ba044c595add16e23288979-prestodelta.xml.gz
-rw-r--r--. 1 root root  5618310 2009-11-11 05:25 a5b69548ea819d0d2cc8e7de8d1a1570f835e2fd17bf993b2605b2f932087e19-other.xml.gz
-rw-r--r--. 1 root root  5543063 2009-11-11 05:26 bc58c56b371a83dc546c86e1796d83b9ff78adbf733873c815c3fe5dd48b0d56-other.sqlite.bz2
-rw-r--r--. 1 root root 13410563 2009-11-11 05:25 be2a1af000d962ca3fc634b012b9f7e09cca57210b13cb489323e4644b687b73-filelists.xml.gz
-rw-r--r--. 1 root root 15599914 2009-11-11 05:32 c5e3cda5e7bc2dc520e26e0545f1079400aae213bab8c03383c23ec5523c6cc4-filelists.sqlite.bz2
-rw-r--r--. 1 root root        0 2010-05-21 15:37 cachecookie
drwxr-xr-x. 3 root root     4096 2010-05-21 15:56 drpms
-rw-r--r--. 1 root root  5942691 2009-11-11 05:25 e27694b7824ee6bbf87af629950e6953eaddf91c73e489f5de690a7ecb9d726e-primary.xml.gz
drwxr-xr-x. 2 root root     4096 2010-05-21 15:37 packages
drwxr-xr-x. 2 root root  1064960 2010-05-21 15:56 Packages
drwxr-xr-x. 2 root root     4096 2010-05-21 15:37 repodata
-rw-r--r--. 1 root root     4286 2009-11-11 05:36 repomd.xml


Note You need to log in before you can comment on or make changes to this bug.